%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-django-debug-toolbar
Version:        0.9.3
Release:        1%{?dist}
Summary:        Configurable set of panels that display various debug information

License:        BSD
URL:            https://github.com/django-debug-toolbar/django-debug-toolbar
Source0:        http://pypi.python.org/packages/source/d/django-debug-toolbar/django-debug-toolbar-0.9.3.tar.gz
#md5=c11870fb6f206c6dc2efd9a134fd672c

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       Django

%description
The Django Debug Toolbar is a configurable set of panels that display various 
debug information about the current request/response and when clicked, display 
more details about the panel's content.

Currently, the following panels have been written and are working:

 -   Django version
 -   Request timer
 -   A list of settings in settings.py
 -   Common HTTP headers
 -   GET/POST/cookie/session variable display
 -   Templates and context used, and their template paths
 -   SQL queries including time to execute and links to EXPLAIN each query
 -   List of signals, their args and receivers
 -   Logging output via Python's built-in logging, or via the logbook module



%prep
%setup -q -n django-debug-toolbar-%{version}

# "Fix" zero length file error
echo "# empty file" > debug_toolbar/models.py


%build
%{__python} setup.py build

# checks don't seem to work right now
# %%check
# %%{__python} setup.py test

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE README.rst AUTHORS PKG-INFO
%{python_sitelib}/*


%changelog
* Mon Jan 23 2012 Matthias Runge <mrunge@matthias-runge.de> 0.9.3-1
- initial packaging
